Name: gmp
Version: 4.1.2
Release: alt2.2

Summary: A GNU arbitrary precision library
License: GPL
Group: System/Libraries

Source: ftp://ftp.gnu.org/pub/gnu/%name/%name-%version.tar.bz2

Patch: gmp-4.1-mdk-x86_64.patch
#ALT Patches
Patch100: gmp-3.1.1-alt-texinfo.patch
Patch101: gmp-4.1.2-alt-build-bte.patch

# Automatically added by buildreq on Mon Jun 16 2003
BuildRequires: flex gcc-c++ libreadline-devel libstdc++-devel

%description
The %name package

%package -n lib%name
Summary: A GNU arbitrary precision library
Group: System/Libraries
Provides: %name = %version
Obsoletes: %name

%package -n lib%name-devel
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel
PreReq: %__install_info

%package -n lib%name-devel-static
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C
Requires: lib%name-devel = %version-%release

%package -n lib%{name}_cxx
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C++
Requires: lib%name = %version-%release

%package -n lib%{name}_cxx-devel
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C++
Requires: lib%{name}_cxx = %version-%release
Requires: lib%{name}-devel = %version-%release

%package -n lib%{name}_cxx-devel-static
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C++
Requires: lib%{name}_cxx-devel = %version-%release
Requires: lib%{name}-devel-static = %version-%release


%description -n lib%name
The %name package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the %name package if you need a fast arbitrary precision
library.

%description -n lib%name-devel
The libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%description -n lib%name-devel-static
The static libraries for using the GNU MP arbitrary precision library 
in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%description -n lib%{name}_cxx
C++ API for lib%name

%description -n lib%{name}_cxx-devel
C++ API for lib%name: development libraries, header files

%description -n lib%{name}_cxx-devel-static
C++ API for lib%name: static libraries

%prep
%setup -q
%undefine __libtoolize

%patch -p1
%patch100 -p1
%patch101 -p1

%__rm -f *.info*

#hack for unknown libtool option replaced by undefine libtoolize
#find . -name Makefile.in|xargs %__subst s,\-\-tag\=CC,,

%build
automake ||:
%configure --enable-mpbsd --enable-cxx
#NO SMP
%make
%if_with test
%make check
%endif

%install
#special hack
%__subst 's,-L/usr/lib,-L.libs/,' libgmpxx.la
#special hack
%make_install DESTDIR=$RPM_BUILD_ROOT install
install -p -m644 gmp-mparam.h $RPM_BUILD_ROOT%_includedir
install -p -m644 gmpxx.h $RPM_BUILD_ROOT%_includedir
bzip2 -9f ChangeLog* ||:

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%{name}_cxx -p %post_ldconfig
%postun -n lib%{name}_cxx -p %postun_ldconfig

%post -n lib%name-devel
%install_info %name.info

%preun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%doc AUTHORS README NEWS
%_libdir/*.so.*
%exclude %_libdir/*xx*.so.*

%files -n lib%name-devel
%_libdir/*.so
%exclude %_libdir/*xx*.so
#%_libdir/*.la
#%exclude %_libdir/*xx*.la
%_includedir/*
%exclude %_includedir/*xx*
%_infodir/*.info*
%doc ChangeLog* doc/*

%files -n lib%name-devel-static
%_libdir/*.a
%exclude %_libdir/*xx*.a

%files -n lib%{name}_cxx
%_libdir/*xx*.so.*

%files -n lib%{name}_cxx-devel
%_libdir/*xx*.so
#%_libdir/*xx*.la
%_includedir/*xx*

%files -n lib%{name}_cxx-devel-static
%_libdir/*xx*.a

%changelog
* Tue Dec 02 2003 Stanislav Ievlev <inger@altlinux.org> 4.1.2-alt2.2
- rebuild without .la files

* Mon Jun 16 2003 Stanislav Ievlev <inger@altlinux.ru> 4.1.2-alt2.1
- fixed buildreq
- added special hack to build under bte

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 4.1.2-alt2
- fixed ldconfig usage according packaging policy

* Tue Feb 25 2003 Stanislav Ievlev <inger@altlinux.ru> 4.1.2-alt1
- review patches:
  lc-assert-always - removed
  noinline - removed
  vafixes  - removed
  x86_64   - updated
  gmpxx.h.getnum - removed (included)
  mpf_inp_str.c - removed (included)
  powm_ui.c.41 - removed (included)
- added subpackage with C++ API (like liddb4_cxx)

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1-alt1
- 4.1
- little spec improvements
- added devel-static subpackage
- added gmpxx.h header to %_includedir
- merge with latest RH and MDK patches

* Fri Mar 02 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.1-ipl2mdk
- Libification.
- Added ia64 patch.
- Build Berkley MP compatibility library.

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 3.1.1-ipl1mdk
- 3.1.1
- Fixed configure script.
- Fixed texinfo documentation.

* Fri Apr 28 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.0.1

* Thu Apr 20 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.0

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Release version.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- .spec optimizations

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
